# /api/v3/projects/{id}/queries/schema
---
get:
  parameters:
  - description: Project id
    example: '1'
    in: path
    name: id
    required: true
    schema:
      type: integer
  responses:
    '200':
      content:
        application/hal+json:
          examples:
            QuerySchema:
              "$ref": "../components/examples/query_schema.yml"
          schema:
            "$ref": "../components/schemas/schema_for_project_queries_model.yml"
      description: OK
      headers: {}
    '403':
      content:
        application/hal+json:
          schema:
            $ref: "../components/schemas/error_response.yml"
          examples:
            response:
              value:
                _type: Error
                errorIdentifier: urn:openproject-org:api:v3:errors:MissingPermission
                message: You are not authorized to access this resource.
      description: "**Required permission:** view work package in the project"
      headers: {}
  tags:
  - Queries
  description: Retrieve the schema for project queries.
  operationId: View_schema_for_project_queries
  summary: View schema for project queries
